# Uses of Class
it.tdlight.jni.TdApi.AnimatedChatPhoto

## Uses of TdApi.AnimatedChatPhoto in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.AnimatedChatPhoto
Modifier and Type
Field
Description
`TdApi.AnimatedChatPhoto`
TdApi.ChatPhoto.`animation`
A big (up to 1280x1280) animated variant of the photo in MPEG4 format; may be null.
`TdApi.AnimatedChatPhoto`
TdApi.ChatPhoto.`smallAnimation`
A small (160x160) animated variant of the photo in MPEG4 format; may be null even the big animation is available.
Constructors in it.tdlight.jni with parameters of type TdApi.AnimatedChatPhoto
Modifier
Constructor
Description
``
`ChatPhoto(long id, int addedDate, TdApi.Minithumbnail minithumbnail, TdApi.PhotoSize[] sizes, TdApi.AnimatedChatPhoto animation, TdApi.AnimatedChatPhoto smallAnimation, TdApi.ChatPhotoSticker sticker)`
Describes a chat or user profile photo.